/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __DEF_camera_indicator_H_
#define __DEF_camera_indicator_H_
int cam_indicator_create(struct appdata *ad);
int cam_indicator_destory(struct appdata *ad);
int cam_indicator_rotate(struct appdata *ad);
void cam_indicator_update(struct appdata *ad);

void indicator_toggle(struct appdata *ad, gboolean hide);
void indicator_update_storage(struct appdata *ad);
void indicator_update_remain_count(struct appdata *ad);
void indicator_update_gps(struct appdata *ad);
void indicator_update_gps_level(struct appdata *ad);
void indicator_update_battery(struct appdata *ad, int level);
void indicator_update_mute_icon(struct appdata *ad);
void cam_indicator_set_show_state(struct appdata *ad, bool show);

#endif	/* __DEF_camera_indicator_H_ */

