/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#include "cam.h"
#include "cam_app.h"
#ifdef ENABLE_CAPTURE_ANIMATION
gboolean cam_app_create_start_animation(void *data);
gboolean cam_app_create_screennail_and_start_animation(void *user_data);
gboolean cam_app_create_shutter_screen(void *data);
void cam_animation_create_rect_image(void *data);
void cam_app_stop_shutter_animation(void *data);


#endif
