/*
 * Copyright 2012  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *	  http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __DEF_edc_image_name_H_
#define __DEF_edc_image_name_H_


/**** tmp image shoud be removed ****/

/**cam_recording_edje.edj**/
#define RECORDING_IMAGE_REC_IMAGE 				"indicator/camera_rec.png"
#define SHUTTER_REC_NORMAL_IMAGE				"tmp/11_camera_mode_recording_normal.png"
#define SHUTTER_REC_PRESS_IMAGE					"tmp/11_camera_mode_recording_press.png"
#define SHUTTER_REC_NORMAL_VERTICAL_IMAGE		"tmp/11_camera_mode_recording_normal_ver.png"
#define SHUTTER_REC_PRESS_VERTICAL_IMAGE		"tmp/11_camera_mode_recording_press_ver.png"
#define RECORDING_PRESS_IMAGE_ANI				"tmp/11_camcorder_standby_press.png"
#define RECORDING_PRESS_IMAGE_ANI_VER			"tmp/11_camcorder_standby_press_ver.png"
#define CAF_BUTTON_NORMAL_IMAGE					"camera_recording_btn_caf.png"
#define CAF_BUTTON_PRESS_IMAGE					"camera_recording_btn_caf_press.png"

/** cam_toolbar_layout.edj **/
/* toolbar bg */
#define LEFT_TOOLBAR_BG_IMAGE					"camera_normal_opacity_l_bg.png"
#define RIGHT_TOOLBAR_BG_IMAGE					"camera_normal_opacity_r_bg.png"
#define LEFT_TOOLBAR_BG_VER_IMAGE				"vertical/camera_normal_bg_ver_01.png"
#define RIGHT_TOOLBAR_BG_VER_IMAGE				"vertical/camera_normal_bg_ver2_01.png"
/* item_button */
#define BUTTON_BG_NORMAL_IMAGE					"camera_menu_bg.png"
#define BUTTON_BG_PRESS_IMAGE					"camera_menu_tab_hold.png"
/* mode item icons */
#define MODE_BG_IMAGE							"tmp/11_camera_mode_bg.png"
#define MODE_BUTTON_IMAGE						"tmp/11_camera_mode_button.png"
#define MODE_BG_VER_IMAGE						"tmp/11_camera_mode_bg_ver.png"
#define MODE_BUTTON_VER_IMAGE					"tmp/11_camera_mode_button_ver.png"
/* shutter button */
#define SHUTTER_NORMAL_IMAGE					"camera_mode_shutter_normal.png"
#define SHUTTER_NORMAL_INVERSE_IMAGE			"camera_mode_shutter_normal_inverse.png"
#define SHUTTER_NORMAL_VER_IMAGE				"vertical/camera_mode_shutter_normal_ver.png"
#define SHUTTER_NORMAL_VER_INVERSE_IMAGE		"vertical/camera_mode_shutter_norma_ver_inverse.png"
#define SHUTTER_PRESS_IMAGE						"camera_mode_shutter_press.png"
#define SHUTTER_PRESS_VER_IMAGE					"vertical/camera_mode_shutter_press_ver.png"
#define SHUTTER_DIM_IMAGE						"camera_mode_shutter_dim.png"
#define SHUTTER_DIM_VER_IMAGE					"vertical/camera_mode_shutter_dim_ver.png"
#define CAMERA_SHUTTER_ICON_IMAGE				"camera_mode_shutter_icon.png"
#define CAMCORDER_SHUTTER_ICON_IMAGE			"camcorder_standby_shutter.png"
#define CAMCORDER_SHUTTER_ICON_PRESS_IMAGE		"camcorder_standby_shutter_press.png"
#define CAMCORDER_SHUTTER_ICON_DIM_IMAGE		"camcorder_standby_shutter_dim.png"
#define CAMCORDER_PAUSE_ICON_IMAGE				"camcorder_recording_pause.png"
#define CAMCORDER_PAUSE_ICON_PRESS_IMAGE		"camcorder_recording_pause_press.png"
#define CAMCORDER_STOP_ICON_IMAGE				"camcorder_recording_stop.png"
#define CAMCORDER_STOP_ICON_PRESS_IMAGE			"camcorder_recording_stop_press.png"
#define SNAPSHOT_PRESS_IMAGE					"tmp/11_camera_snapshot_press.png"
#define SNAPSHOT_NORMAL_IMAGE					"tmp/11_camera_snapshot.png"
/* thumbnail */
#define THUMBNAIL_BG_NORMAL_IMAGE				"camera_mode_thumbnail_bg.png"
#define THUMBNAIL_BG_PRESS_IMAGE				"camera_mode_thumbnail_bg_press.png"
/* back button */
#define BACK_BUTTON_NORMAL_IMAGE				"camara_back_button.png"
#define BACK_BUTTON_PRESS_IMAGE					"camara_back_button_press.png"

/** cam_util.edj **/
#define FOCUS_GUIDE_NOTREADY_IMAGE				"touch_af_focus_rect_01.png"
#define FOCUS_GUIDE_FOCUSED_IMAGE				"touch_af_focus_rect_03.png"
#define FOCUS_GUIDE_FAILED_IMAGE				"touch_af_focus_rect_02.png"
#define TIMER_ICON_BG_IMAGE						"camera_timer_popup.png"

/* guide line image */
#define GUDIE_LINE_1_IMAGE						"tmp/37_guideline_1.png"
#define GUDIE_LINE_2_IMAGE						"tmp/37_guideline_2.png"
#define GUDIE_OPA_LINE_1_IMAGE					"tmp/37_guideline_opa_1.png"
#define GUDIE_OPA_LINE_2_IMAGE					"tmp/37_guideline_opa_2.png"

/* shortcut image */
#define SHOTCUTS_LINE_H_IMAGE					"camera_shortcut_line_h_01.png"
#define SHOTCUTS_LINE_V_IMAGE					"camera_shortcut_line_v_01.png"
#define SHOTCUTS_EDIT_BG_H_IMAGE				"camera_shrtcut_edit_bg.png"
#define SHOTCUTS_EDIT_BG_V_IMAGE				"vertical/camera_shrtcut_edit_bg_ver.png"
#define SHOTCUTS_EDIT_MENU_BG_H_IMAGE			"camera_shrtcut_menubar_bg.png"
#define SHOTCUTS_EDIT_MENU_BG_V_IMAGE			"vertical/camera_shrtcut_menubar_bg_ver.png"
#define SHOTCUTS_TEXT_BG_IMAGE					"camera_shrtcut_text_bg.png"

/* popup bg image */
#define SHOTTING_MODE_POPUP_BG_IMAGE			"tmp/37_shootingmode_popup_bg.png"

/** cam_zoom_layout.edj **/
#define ZOOM_BG_IMAGE							"camera_popup_zoom.png"
#define ZOOM_BG_VER_IMAGE						"vertical/camera_popup_zoom_ver.png"
#define ZOOM_PINCH_IMAGE						"touch_af_focus_rect_01.png"


/** style_ctxpopuup_camera_with_radio.edj **/
#define CTXPOPUP_BG_IMAGE						"camera_option_popup_bg.png"
#define CTXPOPUP_BG_2DEPTH_IMAGE				"camera_option_popup_bg_2depth.png"
#define CTXPOPUP_LEFT_ARROW_IMAGE				"camera_option_popup_anker.png"
#define CTXPOPUP_RIGHTT_ARROW_IMAGE				"camera_option_popup_anker_inverse.png"
#define CTXPOPUP_TOP_ARROW_IMAGE				"vertical/camera_option_popup_anker_vertical.png"
#define CTXPOPUP_BOTTOM_ARROW_IMAGE				"vertical/camera_option_popup_anker_vertical_inverse.png"

#define SETTING_POPUP_RADIO_BUTTON_ON_IMAGE		"camera_radio_btn_on.png"
#define SETTING_POPUP_RADIO_BUTTON_OFF_IMAGE	"camera_radio_btn_off.png"

/** style_slider_camera.edj **/
#define SLIDER_BAR_IMAGE						"camera_popup_zoom_bar.png"
#define SLIDER_BAR_VER_IMAGE					"vertical/camera_popup_zoom_bar_ver.png"
#define SLIDER_HANDLER_IMAGE					"camera_handle.png"


#define SETTING_POPUP_CHECK_BUTTON_ON_IMAGE		"camera_button_on.png"
#define SETTING_POPUP_CHECK_BUTTON_OFF_IMAGE	"camera_button_off.png"

/** Source images **/
/* Burst shot */
#define BURST_SHOT_MODE_ON_NORMAL_ICON				"shortcut/camera_mode_burstshot_on_nor.png"
#define BURST_SHOT_MODE_ON_PRESS_ICON				"shortcut/camera_mode_burstshot_on_press.png"
#define BURST_SHOT_MODE_OFF_NORMAL_ICON				"shortcut/camera_mode_burstshot_off_nor.png"
#define BURST_SHOT_MODE_OFF_PRESS_ICON				"shortcut/camera_mode_burstshot_off_press.png"

/* Self portrait */
#define CAMERA_SELF_PORTRAIT_NORMAL_ICON			"shortcut/camera_mode_self_shot_nor.png"
#define CAMERA_SELF_PORTRAIT_PRESS_ICON				"shortcut/camera_mode_self_shot_press.png"
#define CAMCORDER_SELF_PORTRAIT_NORMAL_ICON			"shortcut/camera_mode_self_rec_nor.png"
#define CAMCORDER_SELF_PORTRAIT_PRESS_ICON			"shortcut/camera_mode_self_rec_press.png"

/* Flash */
#define FLASH_AUTO_NORMAL_ICON						"shortcut/camera_mode_flash_auto_nor.png"
#define FLASH_AUTO_PRESS_ICON						"shortcut/camera_mode_flash_auto_press.png"
#define FLASH_OFF_NORMAL_ICON						"shortcut/camera_mode_flash_off_nor.png"
#define FLASH_OFF_PRESS_ICON						"shortcut/camera_mode_flash_off_press.png"
#define FLASH_ON_NORMAL_ICON						"shortcut/camera_mode_flash_on_nor.png"
#define FLASH_ON_PRESS_ICON							"shortcut/camera_mode_flash_on_press.png"

/* Shooting mode */
#define SHOOTING_MODE_SINGLE_NORMAL_ICON			"shortcut/camera_mode_shooting_mode_single_shot_nor.png"
#define SHOOTING_MODE_SINGLE_PRESS_ICON				"shortcut/camera_mode_shooting_mode_single_shot_press.png"

/* Recording mode */
#define RECORDING_MODE_NORMAL_NORMAL_ICON			"shortcut/camera_mode_recording_normal_nor.png"
#define RECORDING_MODE_NORMAL_PRESS_ICON			"shortcut/camera_mode_recording_normal_press.png"
#define RECORDING_MODE_LIMIT_MMS_NORMAL_ICON		"shortcut/camera_mode_recording_limit_for_mms_nor.png"
#define RECORDING_MODE_LIMIT_MMS_PRESS_ICON			"shortcut/camera_mode_recording_limit_for_mms_press.png"
#define RECORDING_MODE_SLOW_MOTION_NORMAL_ICON		"shortcut/camera_mode_recording_slowmotion_nor.png"
#define RECORDING_MODE_SLOW_MOTION_PRESS_ICON		"shortcut/camera_mode_recording_slowmotion_press.png"
#define RECORDING_MODE_FAST_MOTION_NORMAL_ICON		"shortcut/camera_mode_recording_fast_nor.png"
#define RECORDING_MODE_FAST_MOTION_PRESS_ICON		"shortcut/camera_mode_recording_fast_press.png"

/* Scene mode */
#define SCENE_MODE_AUTO_NORMAL_ICON 				"shortcut/camera_mode_shooting_mode_scene_none_nor.png"
#define SCENE_MODE_AUTO_PRESS_ICON 					"shortcut/camera_mode_shooting_mode_scene_none_nor.png"
#define SCENE_MODE_PORTRAIT_NORMAL_ICON 			"shortcut/camera_mode_shooting_mode_portrait_nor.png"
#define SCENE_MODE_PORTRAIT_PRESS_ICON 				"shortcut/camera_mode_shooting_mode_portrait_press.png"
#define SCENE_MODE_LANDSCAPE_NORMAL_ICON 			"shortcut/camera_mode_shooting_mode_landscape_nor.png"
#define SCENE_MODE_LANDSCAPE_PRESS_ICON 			"shortcut/camera_mode_shooting_mode_landscape_press.png"
#define SCENE_MODE_NIGHT_NORMAL_ICON 				"shortcut/camera_mode_shooting_mode_night_nor.png"
#define SCENE_MODE_NIGHT_PRESS_ICON 				"shortcut/camera_mode_shooting_mode_night_press.png"
#define SCENE_MODE_SPORTS_NORMAL_ICON 				"shortcut/camera_mode_shooting_mode_sports_nor.png"
#define SCENE_MODE_SPORTS_PRESS_ICON 				"shortcut/camera_mode_shooting_mode_sports_press.png"
#define SCENE_MODE_PARTY_NORMAL_ICON 				"shortcut/camera_mode_shooting_mode_party_indoor_nor.png"
#define SCENE_MODE_PARTY_PRESS_ICON 				"shortcut/camera_mode_shooting_mode_party_indoor_press.png"
#define SCENE_MODE_BEACHSNOW_NORMAL_ICON 			"shortcut/camera_mode_shooting_mode_beach_snow_nor.png"
#define SCENE_MODE_BEACHSNOW_PRESS_ICON 			"shortcut/camera_mode_shooting_mode_beach_snow_press.png"
#define SCENE_MODE_SUNSET_NORMAL_ICON 				"shortcut/camera_mode_shooting_mode_sunset_nor.png"
#define SCENE_MODE_SUNSET_PRESS_ICON 				"shortcut/camera_mode_shooting_mode_sunset_press.png"
#define SCENE_MODE_DUSKDAWN_NORMAL_ICON 			"shortcut/camera_mode_shooting_mode_dawn_nor.png"
#define SCENE_MODE_DUSKDAWN_PRESS_ICON 				"shortcut/camera_mode_shooting_mode_dawn_press.png"
#define SCENE_MODE_FALL_NORMAL_ICON 				"shortcut/camera_mode_shooting_mode_fall_nor.png"
#define SCENE_MODE_FALL_PRESS_ICON 					"shortcut/camera_mode_shooting_mode_fall_press.png"
#define SCENE_MODE_FIREWORK_NORMAL_ICON 			"shortcut/camera_mode_shooting_mode_firework_nor.png"
#define SCENE_MODE_FIREWORK_PRESS_ICON 				"shortcut/camera_mode_shooting_mode_firework_press.png"
#define SCENE_MODE_TEXT_NORMAL_ICON 				"shortcut/camera_mode_shooting_mode_text_nor.png"
#define SCENE_MODE_TEXT_PRESS_ICON 					"shortcut/camera_mode_shooting_mode_text_press.png"
#define SCENE_MODE_CANDLELIGHT_NORMAL_ICON 			"shortcut/camera_mode_shooting_mode_candlelight_nor.png"
#define SCENE_MODE_CANDLELIGHT_PRESS_ICON 			"shortcut/camera_mode_shooting_mode_candlelight_press.png"
#define SCENE_MODE_BACKLIGHT_NORMAL_ICON 			"shortcut/camera_mode_shooting_mode_Backlight_nor.png"
#define SCENE_MODE_BACKLIGHT_PRESS_ICON 			"shortcut/camera_mode_shooting_mode_Backlight_press.png"

/* Exposure value */
#define EXPOSURE_VALUE_MINUS_2_0_ICON				"shortcut/camera_mode_exposure_9_nor.png"
#define EXPOSURE_VALUE_MINUS_2_0_PRESS_ICON			"shortcut/camera_mode_exposure_9_press.png"
#define EXPOSURE_VALUE_MINUS_1_5_ICON				"shortcut/camera_mode_exposure_8_nor.png"
#define EXPOSURE_VALUE_MINUS_1_5_PRESS_ICON			"shortcut/camera_mode_exposure_8_press.png"
#define EXPOSURE_VALUE_MINUS_1_0_ICON				"shortcut/camera_mode_exposure_7_nor.png"
#define EXPOSURE_VALUE_MINUS_1_0_PRESS_ICON			"shortcut/camera_mode_exposure_7_press.png"
#define EXPOSURE_VALUE_MINUS_0_5_ICON				"shortcut/camera_mode_exposure_6_nor.png"
#define EXPOSURE_VALUE_MINUS_0_5_PRESS_ICON			"shortcut/camera_mode_exposure_6_press.png"
#define EXPOSURE_VALUE_0_ICON						"shortcut/camera_mode_exposure_5_nor.png"
#define EXPOSURE_VALUE_0_PRESS_ICON					"shortcut/camera_mode_exposure_5_press.png"
#define EXPOSURE_VALUE_PLUS_0_5_ICON				"shortcut/camera_mode_exposure_4_nor.png"
#define EXPOSURE_VALUE_PLUS_0_5_PRESS_ICON			"shortcut/camera_mode_exposure_4_press.png"
#define EXPOSURE_VALUE_PLUS_1_0_ICON				"shortcut/camera_mode_exposure_3_nor.png"
#define EXPOSURE_VALUE_PLUS_1_0_PRESS_ICON			"shortcut/camera_mode_exposure_3_press.png"
#define EXPOSURE_VALUE_PLUS_1_5_ICON				"shortcut/camera_mode_exposure_2_nor.png"
#define EXPOSURE_VALUE_PLUS_1_5_PRESS_ICON			"shortcut/camera_mode_exposure_2_press.png"
#define EXPOSURE_VALUE_PLUS_2_0_ICON				"shortcut/camera_mode_exposure_1_nor.png"
#define EXPOSURE_VALUE_PLUS_2_0_PRESS_ICON			"shortcut/camera_mode_exposure_1_press.png"

/* Focus mode */
#define FOCUS_MODE_AUTO_NORMAL_ICON 				"shortcut/camera_mode_focus_auto_nor.png"
#define FOCUS_MODE_AUTO_PRESS_ICON 					"shortcut/camera_mode_focus_auto_press.png"
#define FOCUS_MODE_MACRO_NORMAL_ICON 				"shortcut/camera_mode_focus_macro_nor.png"
#define FOCUS_MODE_MACRO_PRESS_ICON 				"shortcut/camera_mode_focus_macro_press.png"
#define FOCUS_MODE_FACE_DETECTION_NORMAL_ICON 		"shortcut/camera_mode_focus_face_detection_nor.png"
#define FOCUS_MODE_FACE_DETECTION_PRESS_ICON 		"shortcut/camera_mode_focus_face_detection_press.png"

/* Timer */
#define TIMER_OFF_NORMAL_ICON						"shortcut/camera_mode_timer_off_nor.png"
#define TIMER_OFF_PRESS_ICON						"shortcut/camera_mode_timer_off_press.png"
#define TIMER_2SEC_NORMAL_ICON						"shortcut/camera_mode_timer_2_nor.png"
#define TIMER_2SEC_PRESS_ICON						"shortcut/camera_mode_timer_2_press.png"
#define TIMER_5SEC_NORMAL_ICON						"shortcut/camera_mode_timer_5_nor.png"
#define TIMER_5SEC_PRESS_ICON						"shortcut/camera_mode_timer_5_press.png"
#define TIMER_10SEC_NORMAL_ICON						"shortcut/camera_mode_timer_10_nor.png"
#define TIMER_10SEC_PRESS_ICON						"shortcut/camera_mode_timer_10_press.png"

/* Effect */
#define EFFECTS_NONE_NORMAL_ICON					"shortcut/camera_mode_effect_none_nor.png"
#define EFFECTS_NONE_PRESS_ICON						"shortcut/camera_mode_effect_none_press.png"
#define EFFECTS_NEGATIVE_NORMAL_ICON				"shortcut/camera_mode_effect_negative_nor.png"
#define EFFECTS_NEGATIVE_PRESS_ICON					"shortcut/camera_mode_effect_negative_press.png"
#define EFFECTS_BLACKANDWHITE_NORMAL_ICON			"shortcut/camera_mode_effect_Black and white_nor.png"
#define EFFECTS_BLACKANDWHITE_PRESS_ICON			"shortcut/camera_mode_effect_Black and white_press.png"
#define EFFECTS_SEPIA_NORMAL_ICON					"shortcut/camera_mode_effect_sepia_nor.png"
#define EFFECTS_SEPIA_PRESS_ICON					"shortcut/camera_mode_effect_sepia_press.png"

/* Camera resolution */
#define CAM_RESOLUTION_8M_NORMAL_ICON				"shortcut/camera_mode_resolution_8m_nor.png"
#define CAM_RESOLUTION_8M_PRESS_ICON				"shortcut/camera_mode_resolution_8m_press.png"
#define CAM_RESOLUTION_5M_NORMAL_ICON				"shortcut/camera_mode_resolution_5m_nor.png"
#define CAM_RESOLUTION_5M_PRESS_ICON				"shortcut/camera_mode_resolution_5m_press.png"
#define CAM_RESOLUTION_3_2M_NORMAL_ICON				"shortcut/camera_mode_resolution_3_2m_nor.png"
#define CAM_RESOLUTION_3_2M_PRESS_ICON				"shortcut/camera_mode_resolution_3_2m_press.png"
#define CAM_RESOLUTION_2M_NORMAL_ICON				"shortcut/camera_mode_resolution_2m_nor.png"
#define CAM_RESOLUTION_2M_PRESS_ICON				"shortcut/camera_mode_resolution_2m_press.png"
#define CAM_RESOLUTION_1_3M_NORMAL_ICON				"shortcut/camera_mode_resolution_1_3m_nor.png"
#define CAM_RESOLUTION_1_3M_PRESS_ICON				"shortcut/camera_mode_resolution_1_3m_press.png"
#define CAM_RESOLUTION_0_3M_NORMAL_ICON				"shortcut/camera_mode_resolution_0_3m_nor.png"
#define CAM_RESOLUTION_0_3M_PRESS_ICON				"shortcut/camera_mode_resolution_0_3m_press.png"
#define CAM_RESOLUTION_W6M_NORMAL_ICON				"shortcut/camera_mode_resolution_w6m_nor.png"
#define CAM_RESOLUTION_W6M_PRESS_ICON				"shortcut/camera_mode_resolution_w6m_press.png"
#define CAM_RESOLUTION_W5_7M_NORMAL_ICON			"shortcut/camera_mode_resolution_w5_7m_nor.png"
#define CAM_RESOLUTION_W5_7M_PRESS_ICON				"shortcut/camera_mode_resolution_w5_7m_press.png"
#define CAM_RESOLUTION_W2_4M_NORMAL_ICON			"shortcut/camera_mode_resolution_w2_4m_nor.png"
#define CAM_RESOLUTION_W2_4M_PRESS_ICON				"shortcut/camera_mode_resolution_w2_4m_press.png"
#define CAM_RESOLUTION_W2M_NORMAL_ICON				"shortcut/camera_mode_resolution_w2m_nor.png"
#define CAM_RESOLUTION_W2M_PRESS_ICON				"shortcut/camera_mode_resolution_w2m_press.png"
#define CAM_RESOLUTION_W0_9M_NORMAL_ICON			"shortcut/camera_mode_resolution_w0_9m_nor.png"
#define CAM_RESOLUTION_W0_9M_PRESS_ICON				"shortcut/camera_mode_resolution_w0_9m_press.png"

/* Camcorder resolution */
#define REC_RESOLUTION_FULLHD_NORMAL_ICON			"shortcut/camera_mode_resolution_1920X1080_nor.png"
#define REC_RESOLUTION_FULLHD_PRESS_ICON			"shortcut/camera_mode_resolution_1920X1080_press.png"
#define REC_RESOLUTION_HD_NORMAL_ICON				"shortcut/camera_mode_resolution_1280X720_nor.png"
#define REC_RESOLUTION_HD_PRESS_ICON				"shortcut/camera_mode_resolution_1280X720_press.png"
#define REC_RESOLUTION_WVGA_NORMAL_ICON				"shortcut/camera_mode_resolution_720X480_nor.png"
#define REC_RESOLUTION_WVGA_PRESS_ICON				"shortcut/camera_mode_resolution_720X480_press.png"
#define REC_RESOLUTION_VGA_NORMAL_ICON				"shortcut/camera_mode_resolution_640X480_nor.png"
#define REC_RESOLUTION_VGA_PRESS_ICON				"shortcut/camera_mode_resolution_640X480_press.png"
#define REC_RESOLUTION_QVGA_NORMAL_ICON				"shortcut/camera_mode_resolution_320X240_nor.png"
#define REC_RESOLUTION_QVGA_PRESS_ICON				"shortcut/camera_mode_resolution_320X240_press.png"
#define REC_RESOLUTION_QCIF_NORMAL_ICON				"shortcut/camera_mode_resolution_176X144_nor.png"
#define REC_RESOLUTION_QCIF_PRESS_ICON				"shortcut/camera_mode_resolution_176X144_press.png"

/* White balance */
#define WHITE_BALANCE_AUTO_NORMAL_ICON				"shortcut/camera_mode_whitebalance_auto_nor.png"
#define WHITE_BALANCE_AUTO_PRESS_ICON				"shortcut/camera_mode_whitebalance_auto_press.png"
#define WHITE_BALANCE_INCANDESCENT_NORMAL_ICON		"shortcut/camera_mode_whitebalance_incandescent_nor.png"
#define WHITE_BALANCE_INCANDESCENT_PRESS_ICON		"shortcut/camera_mode_whitebalance_incandescent_press.png"
#define WHITE_BALANCE_FLUORESCENT_NORMAL_ICON		"shortcut/camera_mode_whitebalance_fluorescent_nor.png"
#define WHITE_BALANCE_FLUORESCENT_PRESS_ICON		"shortcut/camera_mode_whitebalance_fluorescent_press.png"
#define WHITE_BALANCE_DAYLIGHT_NORMAL_ICON			"shortcut/camera_mode_whitebalance_day_light_nor.png"
#define WHITE_BALANCE_DAYLIGHT_PRESS_ICON			"shortcut/camera_mode_whitebalance_day_light_press.png"
#define WHITE_BALANCE_CLOUDY_NORMAL_ICON			"shortcut/camera_mode_whitebalance_cloudy_nor.png"
#define WHITE_BALANCE_CLOUDY_PRESS_ICON				"shortcut/camera_mode_whitebalance_cloudy_press.png"
#define WHITE_BALANCE_SHADE_NORMAL_ICON				"shortcut/camera_mode_whitebalance_shade_nor.png"
#define WHITE_BALANCE_SHADE_PRESS_ICON				"shortcut/camera_mode_whitebalance_shade_press.png"
#define WHITE_BALANCE_HORIZON_NORMAL_ICON			"shortcut/camera_mode_whitebalance_horizon_nor.png"
#define WHITE_BALANCE_HORIZON_PRESS_ICON			"shortcut/camera_mode_whitebalance_horizon_press.png"

/* ISO */
#define ISO_AUTO_NORMAL_ICON						"shortcut/camera_mode_iso_auto_nor.png"
#define ISO_AUTO_PRESS_ICON							"shortcut/camera_mode_iso_auto_press.png"
#define ISO_50_NORMAL_ICON							"shortcut/camera_mode_iso_50_nor.png"
#define ISO_50_PRESS_ICON							"shortcut/camera_mode_iso_50_press.png"
#define ISO_100_NORMAL_ICON							"shortcut/camera_mode_iso_100_nor.png"
#define ISO_100_PRESS_ICON							"shortcut/camera_mode_iso_100_press.png"
#define ISO_200_NORMAL_ICON							"shortcut/camera_mode_iso_200_nor.png"
#define ISO_200_PRESS_ICON							"shortcut/camera_mode_iso_200_press.png"
#define ISO_400_NORMAL_ICON							"shortcut/camera_mode_iso_400_nor.png"
#define ISO_400_PRESS_ICON							"shortcut/camera_mode_iso_400_press.png"
#define ISO_800_NORMAL_ICON							"shortcut/camera_mode_iso_800_nor.png"
#define ISO_800_PRESS_ICON							"shortcut/camera_mode_iso_800_press.png"

/* Metering */
#define METERING_MATRIX_NORMAL_ICON					"shortcut/camera_mode_metering_matrix_nor.png"
#define METERING_MATRIX_PRESS_ICON					"shortcut/camera_mode_metering_matrix_press.png"
#define METERING_CENTER_WEIGHTED_NORMAL_ICON		"shortcut/camera_mode_metering_center_weighted_nor.png"
#define METERING_CENTER_WEIGHTED_PRESS_ICON			"shortcut/camera_mode_metering_center_weighted_press.png"
#define METERING_SPOT_NORMAL_ICON					"shortcut/camera_mode_metering_spot_nor.png"
#define METERING_SPOT_PRESS_ICON					"shortcut/camera_mode_metering_spot_press.png"

/* Anti shake */
#define ANTISHAKE_ON_NORMAL_ICON					"shortcut/camera_mode_anti_shake_on_nor.png"
#define ANTISHAKE_ON_PRESS_ICON						"shortcut/camera_mode_anti_shake_on_press.png"
#define ANTISHAKE_OFF_NORMAL_ICON					"shortcut/camera_mode_anti_shake_off_nor.png"
#define ANTISHAKE_OFF_PRESS_ICON					"shortcut/camera_mode_anti_shake_off_press.png"

/* Outdoor visibility */
#define OUTDOOR_VISIBILITY_ON_NORMAL_ICON			"shortcut/camera_mode_outdoor_visibility_on_nor.png"
#define OUTDOOR_VISIBILITY_ON_PRESS_ICON			"shortcut/camera_mode_outdoor_visibility_on_press.png"
#define OUTDOOR_VISIBILITY_OFF_NORMAL_ICON			"shortcut/camera_mode_outdoor_visibility_off_nor.png"
#define OUTDOOR_VISIBILITY_OFF_PRESS_ICON			"shortcut/camera_mode_outdoor_visibility_off_press.png"

/* Auto contrast */
#define AUTO_CONTRAST_ON_NORMAL_ICON				"shortcut/camera_mode_auto_contrast_on_nor.png"
#define AUTO_CONTRAST_ON_PRESS_ICON					"shortcut/camera_mode_auto_contrast_on_press.png"
#define AUTO_CONTRAST_OFF_NORMAL_ICON				"shortcut/camera_mode_auto_contrast_off_nor.png"
#define AUTO_CONTRAST_OFF_PRESS_ICON				"shortcut/camera_mode_auto_contrast_off_press.png"

/* Guide lines */
#define GUIDELINE_ON_NORMAL_ICON					"shortcut/camera_mode_guidelines_on_nor.png"
#define GUIDELINE_ON_PRESS_ICON						"shortcut/camera_mode_guidelines_on_press.png"
#define GUIDELINE_OFF_NORMAL_ICON					"shortcut/camera_mode_guidelines_off_nor.png"
#define GUIDELINE_OFF_PRESS_ICON					"shortcut/camera_mode_guidelines_off_press.png"

/* Capture with voice */
#define CAPTURE_WITH_VOICE_ON_NORMAL_ICON			"shortcut/camera_mode_capture_voice_on_nor.png"
#define CAPTURE_WITH_VOICE_ON_PRESS_ICON			"shortcut/camera_mode_capture_voice_on_press.png"
#define CAPTURE_WITH_VOICE_OFF_NORMAL_ICON			"shortcut/camera_mode_capture_voice_off_nor.png"
#define CAPTURE_WITH_VOICE_OFF_PRESS_ICON			"shortcut/camera_mode_capture_voice_off_press.png"

/* GPS */
#define GPS_ON_NORMAL_ICON							"shortcut/camera_mode_gps_on_nor.png"
#define GPS_ON_PRESS_ICON							"shortcut/camera_mode_gps_on_press.png"
#define GPS_OFF_NORMAL_ICON							"shortcut/camera_mode_gps_off_nor.png"
#define GPS_OFF_PRESS_ICON							"shortcut/camera_mode_gps_off_press.png"

/* Save as flip */
#define SAVE_AS_FLIP_ON_NORMAL_ICON					"shortcut/camera_mode_guidelines_on_nor.png"
#define SAVE_AS_FLIP_ON_PRESS_ICON					"shortcut/camera_mode_guidelines_on_press.png"
#define SAVE_AS_FLIP_OFF_NORMAL_ICON				"shortcut/camera_mode_guidelines_off_nor.png"
#define SAVE_AS_FLIP_OFF_PRESS_ICON					"shortcut/camera_mode_guidelines_off_press.png"

/* Storage */
#define STORAGE_MYDEVICE_NORMAL_ICON				"shortcut/camera_mode_storage_mydevice_nor.png"
#define STORAGE_MYDEVICE_PRESS_ICON					"shortcut/camera_mode_storage_mydevice_press.png"
#define STORAGE_CARD_NORMAL_ICON					"shortcut/camera_mode_storage_storagecard_nor.png"
#define STORAGE_CARD_PRESS_ICON						"shortcut/camera_mode_storage_storagecard_press.png"

/* Reset setting */
#define RESET_SETTING_NORMAL_ICON					"shortcut/camera_mode_reset_nor.png"
#define RESET_SETTING_PRESS_ICON					"shortcut/camera_mode_reset_press.png"

/* Setting */
#define SETTING_NORMAL_ICON							"shortcut/camera_mode_setting_nor.png"
#define SETTING_PRESS_ICON							"shortcut/camera_mode_setting_press.png"

/* Indicator */
#define INDICATOR_STORAGE_INTERNAL_ICON 			"indicator/camera_indicator_storage_in.png"
#define INDICATOR_STORAGE_CARD_ICON 				"indicator/camera_indicator_storage_t_flash.png"
#define INDICATOR_BATTERY_LEVEL_00_ICON				"indicator/camera_indicator_battery_00.png"
#define INDICATOR_BATTERY_LEVEL_01_ICON				"indicator/camera_indicator_battery_01.png"
#define INDICATOR_BATTERY_LEVEL_02_ICON				"indicator/camera_indicator_battery_02.png"
#define INDICATOR_BATTERY_LEVEL_03_ICON				"indicator/camera_indicator_battery_03.png"
#define INDICATOR_BATTERY_LEVEL_04_ICON				"indicator/camera_indicator_battery_04.png"
#define INDICATOR_BATTERY_LEVEL_05_ICON				"indicator/camera_indicator_battery_05.png"
#define INDICATOR_BATTERY_FULL_ICON					"indicator/camera_indicator_battery_full.png"
#define INDICATOR_BATTERY_CHARGE_ICON				"indicator/camera_indicator_battery_charge.png"
#define INDICATOR_GPS_STATE_OFF_ICON				"indicator/camera_indicator_gps_off.png"
#define INDICATOR_GPS_STATE_ON_ICON					"indicator/camera_indicator_gps_on.png"
#define INDICATOR_GPS_STATE_CONNECT_ANI01_ICON		"indicator/camera_indicator_gps_connection01.png"
#define INDICATOR_GPS_STATE_CONNECT_ANI02_ICON		"indicator/camera_indicator_gps_connection02.png"
#define INDICATOR_GPS_STATE_CONNECT_ANI03_ICON		"indicator/camera_indicator_gps_connection03.png"
#define INDICATOR_MUTE_ICON							"indicator/camera_indicator_mute.png"

/* Shutter icon */
#define CAMERA_SHUTTER_ICON							"camera_mode_shutter_icon.png"
#define CAMERA_SHUTTER_ICON_DIM						"camera_mode_shutter_icon_dim.png"

/* Volume key */
#define VOLUME_KEY_AS_ZOOM_NORMAL_ICON				"shortcut/camera_mode_zoom.png"
#define VOLUME_KEY_AS_ZOOM_PRESS_ICON				"shortcut/camera_mode_zoom_press.png"
#define VOLUME_KEY_AS_SHUTTER_NORMAL_ICON			"shortcut/camera_mode_shutter.png"
#define VOLUME_KEY_AS_SHUTTER_PRESS_ICON			"shortcut/camera_mode_shutter_press.png"

/* Tip popup */
#define TIP_POPUP_BURSTSHOT_HELP_IMAGE				"camera_help_image.png"
#define TIP_POPUP_VOLUMEKEY_HELP_IMAGE				"camera_help_image.png"

#endif
